Subject: bug#47150: [External] : bug#47150: 28.0.50; Incorrect major-mode in minibuffer

From: "Sheng Yang" <[email-masked]>
Date: Mon, 19 Apr 2021 15:42:43 -0500

> Probably, tho it depends why they make this test.
> (e.g. in `smartparens`, I think it'd make a lot of sense to enable the
> minor mode during `M-:`, so it shouldn't be disabled for all
> minibuffers).

For smartparens, I traced the history of commits, and the exclusion appears in the initial commit. I am not sure why it is there in the first place, and plan to submit an issue instead of a PR, which will suggest a special treatment of `M-:` to enable it.

Sheng Yang(杨圣), PhD
Computer Science Department
University of Maryland, College Park
E-mail: [email-masked]
E-mail (old but still used): [email-masked]